//+------------------------------------------------------------------+
//|                                                       MIndex.mq4 |
//|                                  Copyright  2005, Yuri Makarov. |
//|                                       http://mak.tradersmind.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2005, Yuri Makarov."
#property link      "http://mak.tradersmind.com"
//----
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 OrangeRed
//----
extern int BarsCount=1000;
extern int FiltPer=100;
//----
double Idx1[];
string Curency1,Curency2;
string Instrument;
int    CurPeriod;
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
int init()
  {
   IndicatorShortName(Instrument);
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,Idx1);
   Curency1=StringSubstr(Instrument,0,3);
   Curency2=StringSubstr(Instrument,3,3);
   Instrument=Symbol();
   return(0);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
void start()
  {
//----
   int counted_bars=IndicatorCounted();
   double USD,EUR,GBP,AUD,CHF,JPY,CAD,NZD;
//----
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;
   for(int i=0; i<limit; i++)
     {
      
      USD=iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,0,i)-iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,0,i+1);
      EUR=iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,1,i)-iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,1,i+1);
      GBP=iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,2,i)-iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,2,i+1);
      JPY=iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,3,i)-iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,3,i+1);
      CHF=iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,4,i)-iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,4,i+1);
      AUD=iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,5,i)-iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,5,i+1);
      CAD=iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,6,i)-iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,6,i+1);
      NZD=iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,7,i)-iCustom(NULL,0,"HPIndexes",BarsCount,FiltPer,7,i+1);
      if (Instrument=="AUDUSD")
         {
            Idx1[i]=AUD-USD;
         }
      if (Instrument=="EURUSD")
         {
            Idx1[i]=EUR-USD;
         }
      if (Instrument=="GBPUSD")
         {
            Idx1[i]=GBP-USD;
         }
      if (Instrument=="NZDUSD")
         {
            Idx1[i]=NZD-USD;
         }
      if (Instrument=="USDCAD")
         {
            Idx1[i]=USD-CAD;
         }
      if (Instrument=="USDCHF")
         {
            Idx1[i]=USD-CHF;
         }
      if (Instrument=="USDJPY")
         {
            Idx1[i]=USD-JPY;
         }
      if (Instrument=="EURGBP")
         {
            Idx1[i]=EUR-GBP;
         }
      if (Instrument=="EURJPY")
         {
            Idx1[i]=EUR-JPY;
         }
      if (Instrument=="EURCHF")
         {
            Idx1[i]=EUR-CHF;
         }
      if (Instrument=="EURAUD")
         {
            Idx1[i]=EUR-AUD;
         }
      if (Instrument=="EURCAD")
         {
            Idx1[i]=EUR-CAD;
         }
      if (Instrument=="EURNZD")
         {
            Idx1[i]=EUR-NZD;
         }
      if (Instrument=="GBPJPY")
         {
            Idx1[i]=GBP-JPY;
         }
      if (Instrument=="GBPCHF")
         {
            Idx1[i]=GBP-CHF;
         }
      if (Instrument=="GBPAUD")
         {
            Idx1[i]=GBP-AUD;
         }
      if (Instrument=="GBPCAD")
         {
            Idx1[i]=GBP-CAD;
         }
      if (Instrument=="GBPNZD")
         {
            Idx1[i]=GBP-NZD;
         }
      if (Instrument=="CHFJPY")
         {
            Idx1[i]=CHF-JPY;
         }
      if (Instrument=="AUDJPY")
         {
            Idx1[i]=AUD-JPY;
         }
      if (Instrument=="CADJPY")
         {
            Idx1[i]=CAD-JPY;
         }
      if (Instrument=="NZDJPY")
         {
            Idx1[i]=NZD-JPY;
         }
      if (Instrument=="AUDCHF")
         {
            Idx1[i]=AUD-CHF;
         }
      if (Instrument=="CADCHF")
         {
            Idx1[i]=CAD-CHF;
         }
      if (Instrument=="NZDCHF")
         {
            Idx1[i]=NZD-CHF;
         }
      if (Instrument=="AUDCAD")
         {
            Idx1[i]=AUD-CAD;
         }
      if (Instrument=="AUDNZD")
         {
            Idx1[i]=AUD-NZD;
         }
      if (Instrument=="NZDCAD")
         {
            Idx1[i]=NZD-CAD;
         }

      
     }
  }
//+------------------------------------------------------------------+